be.fgov.ehealth.dics.protocol.v5

## Class ConsultIndicationType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultIndicationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:27:16+01:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultIndicationType
      extends Object
      implements Serializable

  Java class for ConsultIndicationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultIndicationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="SnomedCT" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
             <attribute name="code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultIndicationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()` Gets the value of the code property.
    `String` | `getDescription()` Gets the value of the description property.
    `String` | `getSnomedCT()` Gets the value of the snomedCT property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setDescription(String value)` Sets the value of the description property.
    `void` | `setSnomedCT(String value)` Sets the value of the snomedCT property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultIndicationType

          public ConsultIndicationType()

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Gets the value of the description property.
      Returns:
        possible object is `String`

    - #### setDescription

          public void setDescription(String value)

      Sets the value of the description property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSnomedCT

          public String getSnomedCT()

      Gets the value of the snomedCT property.
      Returns:
        possible object is `String`

    - #### setSnomedCT

          public void setSnomedCT(String value)

      Sets the value of the snomedCT property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSDIETICIAN 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.